User account creation filtered due to spam.

Bug 35005 - New testcase execute/20071211-1.c assumes 32 bit integers
Summary: New testcase execute/20071211-1.c assumes 32 bit integers
Status: RESOLVED FIXED
Alias: None
Product: gcc
Classification: Unclassified
Component: testsuite (show other bugs)
Version: 4.3.0
: P3 normal
Target Milestone: 4.4.0
Assignee: Not yet assigned to anyone
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2008-01-29 00:07 UTC by Paulo Marques
Modified: 2008-05-26 20:03 UTC (History)
3 users (show)

See Also:
Host: i686-pc-linux-gnu
Target: avr-*-*
Build: i686-pc-linux-gnu
Known to work:
Known to fail:
Last reconfirmed:


Attachments
proposed patch (212 bytes, patch)
2008-01-30 01:07 UTC, Paulo Marques
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Paulo Marques 2008-01-29 00:07:34 UTC
The new testcase execute/20071211-1.c assumes 32 bit integers and fails on machines with 16 bit integers.
Comment 1 Paulo Marques 2008-01-30 01:07:53 UTC
Created attachment 15055 [details]
proposed patch

This proposed patch fixes the problem by using the preprocessor to select the correct type based on the size of the integer type for the target.
Comment 2 Andy Hutchinson 2008-04-08 22:18:36 UTC
Subject: Bug 35005

Author: hutchinsonandy
Date: Tue Apr  8 22:17:52 2008
New Revision: 134114

URL: http://gcc.gnu.org/viewcvs?root=gcc&view=rev&rev=134114
Log:
	PR target/35005
	* execute/20071221-1.c: Adapt test for 16 bit int targets.
	* execute/pr35163.c: Ditto.

Modified:
    trunk/gcc/testsuite/ChangeLog
    trunk/gcc/testsuite/gcc.c-torture/execute/20071211-1.c
    trunk/gcc/testsuite/gcc.c-torture/execute/pr35163.c

Comment 3 Andy Hutchinson 2008-04-12 15:32:15 UTC
Fixed 4.4